TESTHOST(1)

NOMBRE
testhost - comprueba el estado de un servidor de news NNTP

SINOPSIS
testhost nodo [ -a|-n fecha hora ] [ -s|-S archivo ] [ -e|-E archivo ] [ -N puerto ] [ -U usuario ] [ -P clave_de_acceso ] [ -l archivo_de_frases ] [ -T tiempo_tope ] [ -d ] [ -q ]

OPCIONES
-a Lee la lista active del nodo. La lista active contiene los grupos que distribuye el servidor NNTP.

-n fecha hora Lee los grupos creados en el nodo desde la fecha y hora especificada. La fecha debe estar en formato AAMMDD y la hora en formato HHMMSS.

-s | -S archivo

Estas opciones enviarán todos los mensajes de estado (normalmente enviados a la salida estándar, stdout) a un archivo distinto. La opción en minúscula, -s, enviará los mensajes al archivo definido en suck_config.h y compilado en suck. El valor por defecto es /dev/null, esto es: no se muestran los mensajes de estado. La opción en mayúscula, -S, necesita un nombre de archivo. Todos los mensajes de estado serán enviados a dicho archivo.

-e | -E archivo

Estas opciones enviarán todos los mensajes de error (normalmente mostrados por la salida de error estándar, stderr) a un archivo distinto. La opción en minúscula, -e, enviará los mensajes de error al archivo definido en suck_config.h y compilado en suck. El valor por defecto es suck.errorlog. La opción en mayúscula, -E, necesita un nombre de archivo. Todos los mensajes de error serán enviados a dicho archivo.

-N puerto

Esta opción hará que testhost use un número de puerto alternativo de NNRP cuando se conecte al nodo, en lugar del 119, que es el que se usa por defecto.

-U usuario

-P clave_de_acceso

Estas dos opciones le permiten a Vd. especificar un usuario y una clave de acceso si su servidor NNTP las solicita.

-l archivo_de_frases

Esta opción hace que testhost cargue un archivo de frases alternativas, en lugar de usar los mensajes imbuidos. Esto le permite a Vd. hacer que testhost muestre sus mensajes en otra lengua o bien adaptarlos a sus necesidades sin tener que recompilar. Para más detalles, vea "FRASES EN DIVERSOS LENGUAJES" en suck(1).

-T Esta opción reemplaza el valor precompilado de TIMEOUT, tiempo tope de conexión. Es el tiempo que testhost está esperando datos del nodo remoto antes de sobrepasar el tope y abortarse.

-d Esta opción hace que testhost lea las descripciones de los grupos del servidor remoto usando el comando 'list newsgroups'. El servidor remoto puede aceptar o no aceptar este comando.

-q Esta opción hace que testhost no muestre los mensajes de conexión, que sólo muestre los resultados de la ejecución del comando.

DESCRIPCIÓN
Testhost pide datos a un servidor NNTP, especificado por nodo. La acción por defecto es ejecutar el comando help en el servidor que suele mostrar el software posee y los comandos que acepta.

Si se usa la opción -a testhost mostrará la lista de grupos disponibles en el servidor. Si se usa la opción -n fecha hora , testhost mostrará todos los grupos creados en el servidor desde la fecha y hora especificados.

VALORES DEVUELTOS
0 si se acaba correctamente, -1 si hubo error.

VÉASE TAMBIÉN
suck(1), rpost(1), lpost(1).